DigestInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class DigestInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.DigestInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DigestInfo
      extends ASN1Object

  The DigestInfo object.

       DigestInfo::=SEQUENCE{
                digestAlgorithm  AlgorithmIdentifier,
                digest OCTET STRING }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestInfo(AlgorithmIdentifier algId, byte[] digest)`
    `DigestInfo(ASN1Sequence obj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getAlgorithmId()`
    `byte[]` | `getDigest()`
    `static DigestInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DigestInfo` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestInfo

          public DigestInfo(AlgorithmIdentifier algId,
                            byte[] digest)

    - #### DigestInfo

          public DigestInfo(ASN1Sequence obj)

  - ### Method Detail

    - #### getInstance

          public static DigestInfo getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

    - #### getInstance

          public static DigestInfo getInstance(java.lang.Object obj)

    - #### getAlgorithmId

          public AlgorithmIdentifier getAlgorithmId()

    - #### getDigest

          public byte[] getDigest()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.